import { MatchRequest } from '../dtos/match.request';

export class Person {
  _matchRequest: MatchRequest;
  _defaultIdentifier: number;
  _defaultMarginDuration: number;
  identifier: number;
  marginDurations: Array<number>;

  constructor(
    matchRequest: MatchRequest,
    defaultIdentifier: number,
    defaultMarginDuration: number,
  ) {
    this._matchRequest = matchRequest;
    this._defaultIdentifier = defaultIdentifier;
    this._defaultMarginDuration = defaultMarginDuration;
  }

  init() {
    this.setIdentifier(
      this._matchRequest.identifier ?? this._defaultIdentifier,
    );
    this.setMarginDurations([
      this._defaultMarginDuration,
      this._defaultMarginDuration,
      this._defaultMarginDuration,
      this._defaultMarginDuration,
      this._defaultMarginDuration,
      this._defaultMarginDuration,
      this._defaultMarginDuration,
    ]);
  }

  setIdentifier(identifier: number) {
    this.identifier = identifier;
  }

  setMarginDurations(marginDurations: Array<number>) {
    this.marginDurations = marginDurations;
  }
}
